Bug 11736 - Some tests failed when building perl-GD2 against libgd-2.0.34-alt2
: Some tests failed when building perl-GD2 against libgd-2.0.34-alt2
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-GD2)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-10 18:18 by
Modified: 2007-11-06 16:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-10 18:18:19
При сборке perl-GD2 (версии 2.35) c libgd2-2.0.34-alt2 один из тестов
не проходит:

t/GD..........Testing using png support.
FAILED test 6
        Failed 1/12 tests, 91.67% okay

Сборка с апстрим-версией библиотеки gd 2.0.34 (с отключенным патчем
gd-2.0.34-alt2.patch) проходит успешно.
------- Comment #1 From 2007-09-19 18:58:36 -------
Довольно наивно побайтно сравнивать png-картинки, содержащие текст, когда
меняются шрифты.
Видимо, надо либо хранить коллекцию картинок, либо выключить test6 по аналогии
с
test8.
------- Comment #2 From 2007-09-24 19:24:47 -------
То есть тест не проходит из-за разницы в шрифтах?
------- Comment #3 From 2007-09-24 23:40:17 -------
(In reply to comment #2)
> То есть тест не проходит из-за разницы в шрифтах?

Именно.
------- Comment #4 From 2007-10-04 04:25:33 -------
Seems to be fixed in perl-GD-2.35-alt2.